# $Revision: 1.52 $, $Date: 2010/02/09 17:09:30 $
#
# Conditional build:
%bcond_without	mysql	# disable mySQL support
%bcond_without	pgsql	# disable PostreSQL support
%bcond_without	ldap	# disable OpenLDAP support
%bcond_without	whoson	# disable whoson support
%bcond_without	ipv6	# disable IPv6 support
#
Summary:	Teapop is a POP3-server with flexible virtual domain support
Summary(pl.UTF-8):	Serwer POP3 ze wsparciem dla wirtualnych domen
Name:		teapop
Version:	0.3.8
Release:	12
License:	GPL
Group:		Networking/Daemons/POP3
Source0:	http://www.toontown.org/pub/teapop/%{name}-%{version}.tar.gz
# Source0-md5:	c322c20018663a1a9b7860966cbd4ed2
Source1:	%{name}.inetd
Patch0:		%{name}-x86_64.patch
Patch1:		%{name}-openldap-2.3.patch
URL:		http://www.toontown.org/teapop/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%{?with_whoson:BuildRequires:	whoson-devel}
Requires:	rc-inetd
Provides:	pop3daemon
Obsoletes:	pop3daemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Teapop is yet another RFC1939 compliant POP3-server. The flexible
virtual domain support is what distinguish Teapop from all other
POP3-servers.

%description -l pl.UTF-8
Teapop to jeszcze jeden serwer POP3 zgodny z RFC 1939. Elastyczna
obsługa wirtualnych domen jest tym, co odróżnia Teapop od innych
serwerów POP3.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub config
cd config
sed -i -e 's#\.a#\.so#g' configure.in
rm -f configure
%{__autoconf}
%configure \
	%{?with_mysql:--with-mysql=/usr} \
	%{?with_pgsql:--with-pgsql=/usr} \
	%{?with_ldap:--with-ldap=openldap} \
	%{?with_whoson:--with-whoson=/usr} \
	--enable-flock \
	%{?with_ipv6:--enable-ipv6} \
	--enable-extra-dividers=":%!"
cd ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,%{_sbindir},%{_mandir}/man8}

install teapop/teapop		$RPM_BUILD_ROOT%{_sbindir}
install man/teapop.8		$RPM_BUILD_ROOT%{_mandir}/man8
install etc/teapop.passwd	$RPM_BUILD_ROOT%{_sysconfdir}/teapop.passwd

install %{SOURCE1}		$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/teapop

tar czf contrib.tar.gz contrib/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload

%postun
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc doc/{TODO,ChangeLog} contrib.tar.gz
%attr(755,root,root) %{_sbindir}/teapop
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/teapop
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/teapop.passwd
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: teapop.spec,v $
Revision 1.52  2010/02/09 17:09:30  glen
- release 12

Revision 1.51  2010/02/09 17:09:11  glen
- ldap bump reverted

Revision 1.50  2008/10/26 12:18:42  gotar
- P/O: pop3daemon

Revision 1.49  2008/10/26 10:57:20  gotar
- Networking/Daemons/POP3 group for POP3 servers

Revision 1.48  2007/11/03 02:10:04  baggins
- updated openldap BR/R to 2.4.6

Revision 1.47  2007/10/02 15:14:57  darekr
- BR: sed 4

Revision 1.46  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.45  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.44  2006/12/23 17:07:36  hawk
- release 11 to rebuild with PostgreSQL 8.2

Revision 1.43  2006/03/27 12:40:21  glen
- rel 10 (libmysqlclient_15)

Revision 1.42  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.41  2006/01/18 00:09:06  baggins
- release 9
- fix compilation with openldap 2.3

Revision 1.40  2006/01/17 15:49:16  baggins
- release 8
- BR openldap 2.3

Revision 1.39  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.38  2005/10/27 17:53:38  arekm
- rel 7

Revision 1.37  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.36  2005/02/19 08:17:31  ankry
- rel. 5

Revision 1.35  2004/04/14 07:52:39  adamg
- release 5

Revision 1.34  2004/04/14 07:19:41  adamg
- added simple workaround for finding PostgreSQL and MySQL libraries
  on 64 bit architectures

Revision 1.33  2004/04/14 05:46:40  qboosh
- cp -f

Revision 1.32  2004/04/13 20:30:30  adamg
- copy config.sub to proper dir

Revision 1.31  2004/04/13 16:55:43  adamg
- BuildRequires: automake

Revision 1.30  2004/04/13 16:53:47  adamg
- refresh config.sub

Revision 1.29  2004/04/13 14:26:32  adamg
- release 4 (rebuild with new openldap)

Revision 1.28  2004/03/16 13:44:23  averne
- rel3 for rebuild with new openldap

Revision 1.27  2004/02/09 23:14:00  deejay1
- overall cosmetics

Revision 1.26  2003/12/12 23:42:48  qboosh
- BR: sed 4.0

Revision 1.25  2003/12/12 23:13:43  eothane
- %bcond_without ipv6 added

Revision 1.24  2003/12/12 23:01:03  arekm
- by default enable mysql/pgsql/ldap/whoson; rel 2

Revision 1.23  2003/12/12 22:38:00  eothane
- updated to 0.3.8.
  ``This version contains some bugfixes, reduced memory foot print
    and a new feature called softlock. Softlock will return an empty
    mailbox instead of an error, to the client, if it's locked.''

Revision 1.22  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.21  2003/08/18 08:09:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.19  2003/08/02 12:15:48  deejay1
- updated to 0.3.7
- kill subshells and describe bconds please

Revision 1.18  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:27:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/28 20:33:17  misi3k
- updated 3.5

Revision 1.15  2002/12/07 14:34:27  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.14  2002/11/30 23:00:28  juandon
- new %doc

Revision 1.13  2002/05/25 16:46:00  migo
- up to 0.3.4

Revision 1.12  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/19 10:28:17  qboosh
- pl translations, cosmetics

Revision 1.9  2001/09/03 18:20:06  areq
- 0.3.3

Revision 1.8  2001/08/31 08:57:00  areq
- 0.3.2
- add contrib

Revision 1.7  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.6  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2001/05/22 09:06:52  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_)
- no release changes only simple s/// perfored

Revision 1.3  2000/12/22 18:00:57  areq
- updated to 0.28

Revision 1.2  2000/12/19 01:09:25  kloczek
- added rc-inetd to Prereq,
- added URL,
- few cosmetics.

Revision 1.1  2000/12/16 23:49:02  waszi
- initial rpm release
